<?php
defined('_JEXEC') or die;
 
/* Хелпер Kartarf компонента */
abstract class KartarfHelper
{
	/* Конфигурируем субменю */
	public static function addSubmenu($submenu) 
	{
		JSubMenuHelper::addEntry(JText::_('COM_KARTARF_SUBMENU_MESSAGES'),
									'index.php?option=com_kartarf', $submenu == 'messages');
		JSubMenuHelper::addEntry(JText::_('COM_KARTARF_SUBMENU_CATEGORIES'),
									'index.php?option=com_categories&view=categories&extension=com_kartarf',
									$submenu == 'categories');

		/* Устанавливаем глобальные свойства */
		$document = JFactory::getDocument();
		$document->addStyleDeclaration('.icon-48-kartarf ' .
										'{background-image: url(../media/com_kartarf/images/kartarf-48x48.png);}');
		if ($submenu == 'categories') 
		{
			$document->setTitle(JText::_('COM_KARTARF_ADMINISTRATION_CATEGORIES'));
		}
	}

	/* Получаем доступы для действий */
	public static function getActions($messageId = 0)
	{
		/* Подключаем библиотеку доступов */
		jimport('joomla.access.access');
		
		/* Определяем имя ассета (ресурса) */
		if (empty($messageId)) 
		{
			$assetName = 'com_kartarf';
		}
		else 
		{
			$assetName = 'com_kartarf.message.' . (int)$messageId;
		}

		/* Получаем список доступных действий для компонента */
		$actions = JAccess::getActions('com_kartarf', 'component');

		/* Получаем объект пользователя */
		$user = JFactory::getUser();

		$result = new JObject;
		foreach ($actions as $action)
		{
			/* Устанавливаем доступы пользователя для действий */
			$result->set($action->name, $user->authorise($action->name, $assetName));
		}

		return $result;
	}
}