<?php
defined('_JEXEC') or die;

/* Подключаем библиотеку modeladmin Joomla */
jimport('joomla.application.component.modeladmin');

/* Модель Kartarf */
class KartarfModelKartarf extends JModelAdmin
{
	/* Возвращает ссылку на объект таблицы, всегда его создавая */
	public function getTable($type = 'Kartarf', $prefix = 'KartarfTable', $config = array()) 
	{
		return JTable::getInstance($type, $prefix, $config);
	}

	/* Метод для получения формы */
	public function getForm($data = array(), $loadData = true) 
	{
		/* Получаем форму */
		$form = $this->loadForm('com_kartarf.kartarf', 'kartarf',
								array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form))
		{
			return false;
		}
		return $form;
	}

	/* Метод для получения скрипта, который будет включен в форму */
	public function getScript() 
	{
		return 'administrator/components/com_kartarf/models/forms/kartarf.js';
	}

	/* Метод для получения данных, которые должны быть  загружены в форму */
	protected function loadFormData() 
	{
		/* Проверка сессии на наличие ранее введеных в форму данных */
		$data = JFactory::getApplication()->getUserState('com_kartarf.edit.kartarf.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}

	/* Метод для проверки, может ли пользователь удалять существующую запись */
	protected function canDelete($record)
	{
		if (!empty($record->id))
		{
			return JFactory::getUser()->authorise('core.delete', 'com_kartarf.message.' . (int)$record->id);
		}
	}
}