<?php
defined('_JEXEC') or die;

/* Подключаем библиотеку таблиц Joomla */
jimport('joomla.database.table');

/* Класс таблицы Kartarf */
class KartarfTableKartarf extends JTable
{
	/* Конструктор */
	function __construct(&$db) 
	{
		parent::__construct('#__kartarf', 'id', $db);
	}

	/* Переопределяем bind метод JTable */
	public function bind($array, $ignore = '') 
	{
		if (isset($array['params']) && is_array($array['params'])) 
		{
			/* Конвертируем поле параметров в JSON строку */
			$parameter = new JRegistry;
			$parameter->loadArray($array['params']);
			$array['params'] = (string)$parameter;
		}

		if (isset($array['rules']) && is_array($array['rules']))
		{
			$rules = new JAccessRules($array['rules']);
			$this->setRules($rules);
		}

		return parent::bind($array, $ignore);
	}

	/* Переопределяем load метод JTable */
	public function load($pk = null, $reset = true) 
	{
		if (parent::load($pk, $reset)) 
		{
			/* Конвертируем поле параметров в регистр */
			$params = new JRegistry;
			$params->loadString($this->params);
			$this->params = $params;

			return true;
		}
		else
		{
			return false;
		}
	}

	/* Метод для вычисления уникального имени ассета по умолчанию.
	   По умолчанию имя берется из формы: `table_name.id`,
	   где id - это значение первичного ключа таблицы */
	protected function _getAssetName()
	{
		$k = $this->_tbl_key;

		return 'com_kartarf.message.' . (int)$this->$k;
	}

	/* Метод для получения названия ассета для таблицы ассетов */
	protected function _getAssetTitle()
	{
		return $this->kartarf;
	}

	/* Метод для получения id родителя записи */
	protected function _getAssetParentId()
	{
		/* Получаем таблицу ассетов */
		$assetParent = JTable::getInstance('Asset');

		/* По умолчанию: если родительский ассет не найден, то берем глобальный */
		$assetParentId = $assetParent->getRootId();

		/* Ищем родительский ассет */
		if (($this->catid) && !empty($this->catid))
		{
			/* В качестве родительского ассета записи выступает категория */
			$assetParent->loadByName('com_kartarf.category.' . (int)$this->catid);
		}
		else
		{
			/* В качестве родительского ассета записи выступает компонент */
			$assetParent->loadByName('com_kartarf');
		}

		/* Возвращаем найденный id родителя записи */
		if ($assetParent->id)
		{
			$assetParentId = $assetParent->id;
		}

		return $assetParentId;
	}
}
